Subject: [video-codec] Thor drafts

From: "Arild Fuldseth (arilfuld)" <[email-masked]>
Date: Fri, 23 Oct 2015 10:12:41 +0000

Dear all,

The latest update to the Thor draft (-01) includes two main changes, along with some editorial changes.

1. Biprediction: A new biprediction technique synthesizes new reference frames using interpolation from other reference frames. A separate draft (draft-davies-netvc-irfvc-00) was submitted on this technique which may be usable by other codecs beyond Thor.

2. Low Pass Filter: The original Constrained Low Pass Filter, which is an in-loop filter separate from the deblocking filter, was updated with a new design. A separate draft (draft-midtskogen-netvc-clpf-00) was submitted on this filter which may be usable by other codecs beyond Thor. It covers the generalized filter as well as the specific simplifications used in the Thor implementation.

Regards,
Thor team

On 10/19/15, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> wrote:

A new version of I-D, draft-fuldseth-netvc-thor-01.txt
has been successfully submitted by Mo Zanaty and posted to the
IETF repository.

Name:                   draft-fuldseth-netvc-thor
Revision:               01
Title:                      Thor Video Codec
Document date:    2015-10-19
Group:                   Individual Submission
Pages:                  26
URL:            https://www.ietf.org/internet-drafts/draft-fuldseth-netvc-thor-01.txt
Status:         https://datatracker.ietf.org/doc/draft-fuldseth-netvc-thor/
Htmlized:       https://tools.ietf.org/html/draft-fuldseth-netvc-thor-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-fuldseth-netvc-thor-01

Abstract:
   This document provides a high-level description of the Thor video
   codec.  Thor is designed to achieve high compression efficiency with
   moderate complexity, using the well-known hybrid video coding
   approach of motion-compensated prediction and transform coding.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

On 10/19/15, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> wrote:

A new version of I-D, draft-davies-netvc-irfvc-00.txt
has been successfully submitted by Thomas Davies and posted to the
IETF repository.

Name:        draft-davies-netvc-irfvc
Revision:    00
Title:        Interpolated reference frames for video coding
Document date:    2015-10-19
Group:        Individual Submission
Pages:        8
URL:            https://www.ietf.org/internet-drafts/draft-davies-netvc-irfvc-00.txt
Status:         https://datatracker.ietf.org/doc/draft-davies-netvc-irfvc/
Htmlized:       https://tools.ietf.org/html/draft-davies-netvc-irfvc-00

Abstract:
  This document describes the use of interpolated reference frames in
  video coding in general, and in the Thor video codec in particular.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

On 10/19/15, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> wrote:

A new version of I-D, draft-midtskogen-netvc-clpf-00.txt
has been successfully submitted by Mo Zanaty and posted to the
IETF repository.

Name:                   draft-midtskogen-netvc-clpf
Revision:               00
Title:                      Constrained Low Pass Filter
Document date:    2015-10-19
Group:                   Individual Submission
Pages:                  8
URL:            https://www.ietf.org/internet-drafts/draft-midtskogen-netvc-clpf-00.txt
Status:         https://datatracker.ietf.org/doc/draft-midtskogen-netvc-clpf/
Htmlized:       https://tools.ietf.org/html/draft-midtskogen-netvc-clpf-00

Abstract:
   This document describes a low complexity filtering technique which is
   being used as a low pass loop filter in the Thor video codec.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat